#!/bin/sh

#      debian.sh
#      
#      Copyright 2009-2010 Alex <alex@linuxonly.ru>
#      
#      This program is free software: you can redistribute it and/or modify
#      it under the terms of the GNU General Public License as published by
#      the Free Software Foundation; either version 3 of the License, or
#      (at your option) any later version.
#      
#      This program is distributed in the hope that it will be useful,
#      but WITHOUT ANY WARRANTY; without even the implied warranty of
#      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#      GNU General Public License for more details.
#      
#      You should have received a copy of the GNU General Public License
#      along with this program. If not, see <http://www.gnu.org/licenses/>.


PACKAGENAME="gsf-sounds-ru"
VERSION="1.0.0"
RELEASE="1"
BUILDPREFIX="/tmp"
ARCH="all"

DEBNAME=${PACKAGENAME}-${VERSION}-${RELEASE}_${ARCH}

echo Building $DEBNAME.deb at ${BUILDPREFIX}/${DEBNAME}

rm -rf ${BUILDPREFIX}/${DEBNAME}
mkdir -p ${BUILDPREFIX}/${DEBNAME}

mkdir -p ${BUILDPREFIX}/${DEBNAME}/DEBIAN
cat > ${BUILDPREFIX}/${DEBNAME}/DEBIAN/control << END
Package: $PACKAGENAME
Version: ${VERSION}-${RELEASE}
Section: misc
Priority: optional
Architecture: $ARCH
Depends: binutils, gcc, libc6
Provides: gsf-sounds-ru
Suggests: gsf
Maintainer: Alex <alex@linuxonly.ru>
Description: GSF software satfinder russian sounds(http://linuxonly.ru)
 GSF provides simple way for satellite antenna tuning.
 This is language pack for this program.
END

mkdir -p ${BUILDPREFIX}/${DEBNAME}/usr/share/gsf

mkdir -p ${BUILDPREFIX}/${DEBNAME}/usr/share/doc/gsf-sounds-ru
cat > ${BUILDPREFIX}/${DEBNAME}/usr/share/doc/gsf-sounds-ru/copyright << END
Upstream Author(s):

    Amy G

Copyright:

    <Copyright (C) 2009  Amy G>

License:

    Creative Commons Sampling Plus

The Debian packaging is:

    Copyright (C) 2010 Alex <alex@linuxonly.ru>

END

cat > ${BUILDPREFIX}/${DEBNAME}/usr/share/doc/gsf-sounds-ru/changelog << END
gsf-sounds-ru (1.0.0-1) stable; urgency=low

  * Initial release

 -- Alex <alex@linuxonly.ru>  Sun, 20 Mar 2010 15:50:00 +0400

END

gzip -f --best ${BUILDPREFIX}/${DEBNAME}/usr/share/doc/gsf-sounds-ru/changelog
mv ${BUILDPREFIX}/${DEBNAME}/usr/share/doc/gsf-sounds-ru/changelog.gz  ${BUILDPREFIX}/${DEBNAME}/usr/share/doc/gsf-sounds-ru/changelog.Debian.gz

touch ${BUILDPREFIX}/${DEBNAME}/usr/share/doc/gsf-sounds-ru/AUTHORS
touch ${BUILDPREFIX}/${DEBNAME}/usr/share/doc/gsf-sounds-ru/README
touch ${BUILDPREFIX}/${DEBNAME}/usr/share/doc/gsf-sounds-ru/NEWS.gz

echo '[+] Building program';
(cd ..; sh configure --prefix=/usr)
(cd ..; export INSTALLPREFIX=${BUILDPREFIX}/${DEBNAME}/; make && make install)

(cd ${BUILDPREFIX}/${DEBNAME}; find usr -type f -exec md5sum {} >> ./DEBIAN/md5sums \;)

chmod -R 0755 ${BUILDPREFIX}/${DEBNAME}/DEBIAN

rm -f $DEBNAME.deb

echo '[+] Building debian package';
fakeroot dpkg-deb --build ${BUILDPREFIX}/${DEBNAME}

echo '[+] Cleaning up source tree';
(cd ..; make clean)
rm -rf ${BUILDPREFIX}/${DEBNAME}

echo '[+] Finished';
exit;

